Bug 500652 - Unable to Connect with Sierra Wireless Broadband Card
Unable to Connect with Sierra Wireless Broadband Card
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 11:05 EDT by John Dubchak
Modified: 2010-12-15 01:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-01 03:55:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dubchak 2009-05-13 11:05:16 EDT
Description of problem:

I installed FC10 on a new laptop November '08 and my Sirrus Wireless Broadband card (AT&T is the carrier) worked by default - just plug and play.  However, an update, in February, seems to have broke NetworkManager and the card no longer works.  Hardware is usable on Mac OS X platform so the hardware is not defective.

My Hardware:

Dell Vostro 1510 Core 2 Duo (2.53GHz)
4GB RAM
Updated FC10 running latest kernel

Steps to Reproduce:
1. Disable wireless networking
2. Plug in AT&T broadband networking card
3. Click on connect
  
Actual results:
A message bubble stating that the network has been disconnected.

Expected results:
A successful connection with internet connectivity.

/var/log/messages output from connecting broadband modem and attempting to connect to AT&T wireless network:

May 13 06:01:48 lin002 kernel: usb 5-2: New USB device found, idVendor=1199, idProduct=6856
May 13 06:01:48 lin002 kernel: usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
May 13 06:01:48 lin002 kernel: usb 5-2: Product: AirCard
May 13 06:01:48 lin002 kernel: usb 5-2: Manufacturer: Sierra Wireless, Incorporated
May 13 06:01:49 lin002 NetworkManager: <info> (ttyUSB2): found serial port (udev:GSM hal
May 13 06:01:49 lin002 NetworkManager: <info> (ttyUSB2): deferring until all ports found
May 13 06:01:49 lin002 NetworkManager: <info> (ttyUSB0): ignoring due to lack of mobile broadband capabilties
May 13 06:01:54 lin002 NetworkManager: <info> Re-checking deferred serial ports
May 13 06:01:54 lin002 NetworkManager: <info> (ttyUSB2): new Modem device (driver: 'sierra')
May 13 06:01:54 lin002 NetworkManager: <info> (ttyUSB2): exported as /org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_0_if0_0_serial_usb_2
May 13 06:01:58 lin002 NetworkManager: <info> (ttyUSB2): device state change: 1 -> 2
May 13 06:01:58 lin002 NetworkManager: <info> (ttyUSB2): deactivating device (reason: 2).
May 13 06:01:58 lin002 NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
May 13 06:01:58 lin002 NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
May 13 06:01:58 lin002 NetworkManager: <info> (ttyUSB2): device state change: 2 -> 3
May 13 06:02:05 lin002 NetworkManager: <info> Activation (ttyUSB2) starting connection 'AT&T'
May 13 06:02:05 lin002 NetworkManager: <info> (ttyUSB2): device state change: 3 -> 4
May 13 06:02:05 lin002 NetworkManager: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) scheduled...
May 13 06:02:05 lin002 NetworkManager: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) started...
May 13 06:02:05 lin002 NetworkManager: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) complete.
May 13 06:02:05 lin002 NetworkManager: <info> (ttyUSB2): powering up...
May 13 06:02:06 lin002 NetworkManager: <info> Registered on Home network
May 13 06:02:06 lin002 NetworkManager: <info> Associated with network: +COPS: 0,0,"",2
May 13 06:02:06 lin002 NetworkManager: <info> Connected, Woo!
May 13 06:02:06 lin002 NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) scheduled...
May 13 06:02:06 lin002 NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) starting...
May 13 06:02:06 lin002 NetworkManager: <info> (ttyUSB2): device state change: 4 -> 5
May 13 06:02:06 lin002 NetworkManager: <info> Starting pppd connection
May 13 06:02:06 lin002 NetworkManager: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) complete.
May 13 06:02:06 lin002 pppd[6399]: Plugin /usr/lib64/pppd/2.4.4/nm-pppd-plugin.so loaded.
May 13 06:02:06 lin002 pppd[6399]: pppd 2.4.4 started by root, uid 0
May 13 06:02:06 lin002 pppd[6399]: Using interface ppp0
May 13 06:02:06 lin002 pppd[6399]: Connect: ppp0 <--> /dev/ttyUSB2
May 13 06:02:06 lin002 NetworkManager: <info> (ttyUSB2): device state change: 5 -> 6
May 13 06:02:06 lin002 pppd[6399]: CHAP authentication succeeded
May 13 06:02:06 lin002 pppd[6399]: CHAP authentication succeeded
May 13 06:02:06 lin002 NetworkManager: <info> (ttyUSB2): device state change: 6 -> 7
May 13 06:02:09 lin002 kernel: usb 5-2: USB disconnect, address 6
May 13 06:02:09 lin002 pppd[6399]: Modem hangup
May 13 06:02:09 lin002 pppd[6399]: Connection terminated.
May 13 06:02:09 lin002 kernel: sierra 5-2:1.0: device disconnected
May 13 06:02:09 lin002 NetworkManager: <info> (ttyUSB2): device state change: 7 -> 9
May 13 06:02:09 lin002 NetworkManager: <info> Marking connection 'AT&T' invalid.
May 13 06:02:09 lin002 NetworkManager: <info> Activation (ttyUSB2) failed.
May 13 06:02:09 lin002 NetworkManager: <info> (ttyUSB2): device state change: 9 -> 3
May 13 06:02:09 lin002 NetworkManager: <info> (ttyUSB2): deactivating device (reason: 0).
May 13 06:02:09 lin002 NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
May 13 06:02:09 lin002 NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
May 13 06:02:10 lin002 kernel: sierra ttyUSB0: Sierra USB modem converter now disconnected from ttyUSB0
May 13 06:02:10 lin002 kernel: sierra ttyUSB1: Sierra USB modem converter now disconnected from ttyUSB1
May 13 06:02:10 lin002 kernel: sierra ttyUSB2: Sierra USB modem converter now disconnected from ttyUSB2
May 13 06:02:10 lin002 pppd[6399]: Exit.
May 13 06:02:13 lin002 kernel: usb 5-2: new full speed USB device using uhci_hcd and address 7
May 13 06:02:13 lin002 kernel: usb 5-2: configuration #1 chosen from 1 choice
May 13 06:02:13 lin002 kernel: usb-storage: probe of 5-2:1.0 failed with error -5
May 13 06:02:13 lin002 kernel: usb 5-2: New USB device found, idVendor=1199, idProduct=0fff
May 13 06:02:13 lin002 kernel: usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
May 13 06:02:13 lin002 kernel: usb 5-2: Product: USB MMC Storage
May 13 06:02:13 lin002 kernel: usb 5-2: Manufacturer: Sierra Wireless
May 13 06:02:13 lin002 kernel: usb 5-2: SerialNumber: SWOC22905731
May 13 06:02:14 lin002 kernel: usb 5-2: USB disconnect, address 7
May 13 06:02:15 lin002 kernel: usb 5-2: new full speed USB device using uhci_hcd and address 8
May 13 06:02:15 lin002 kernel: usb 5-2: configuration #1 chosen from 1 choice
May 13 06:02:15 lin002 kernel: sierra 5-2:1.0: Sierra USB modem converter detected
May 13 06:02:15 lin002 kernel: usb 5-2: Sierra USB modem converter now attached to ttyUSB0
May 13 06:02:15 lin002 kernel: usb 5-2: Sierra USB modem converter now attached to ttyUSB1
May 13 06:02:15 lin002 kernel: usb 5-2: Sierra USB modem converter now attached to ttyUSB2
May 13 06:02:15 lin002 kernel: usb 5-2: New USB device found, idVendor=1199, idProduct=6856
May 13 06:02:15 lin002 kernel: usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
May 13 06:02:15 lin002 kernel: usb 5-2: Product: AirCard
May 13 06:02:15 lin002 kernel: usb 5-2: Manufacturer: Sierra Wireless, Incorporated
May 13 06:02:16 lin002 NetworkManager: <info> (ttyUSB2): found serial port (udev:GSM hal
May 13 06:02:16 lin002 NetworkManager: <info> (ttyUSB2): deferring until all ports found
May 13 06:02:16 lin002 NetworkManager: <info> (ttyUSB0): found serial port (udev: hal:GSM)
May 13 06:02:16 lin002 NetworkManager: <info> (ttyUSB0): ignoring due to lack of probed mobile broadband capabilties
May 13 06:02:21 lin002 NetworkManager: <info> Re-checking deferred serial ports
May 13 06:02:21 lin002 NetworkManager: <info> (ttyUSB2): new Modem device (driver: 'sierra')
May 13 06:02:21 lin002 NetworkManager: <info> (ttyUSB2): exported as /org/freedesktop/Hal/devices/usb_device_1199_6856_noserial_if0_serial_usb_2_0
May 13 06:02:25 lin002 NetworkManager: <info> (ttyUSB2): device state change: 1 -> 2
May 13 06:02:25 lin002 NetworkManager: <info> (ttyUSB2): deactivating device (reason: 2).
May 13 06:02:25 lin002 NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
May 13 06:02:25 lin002 NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
May 13 06:02:25 lin002 NetworkManager: <info> (ttyUSB2): device state change: 2 -> 3
Comment 1 Dan Williams 2009-05-13 11:27:08 EDT
Are you sure you've entered an APN in the connection manager for this GSM connection?  Also, try putting in a username and password; doesn't matter what they are.  Some modems get really angry if you don't.
Comment 2 John Dubchak 2009-05-13 11:54:00 EDT
APN and username/password has no effect on the GSM connection.  The recommendation for the sierra card (for an AT&T network) is to leave the APN blank so the default from the card is used.
Comment 3 Dan Williams 2009-05-13 12:09:40 EDT
What APN are you entering when you try to put one in manually?
Comment 4 John Dubchak 2009-05-13 12:22:56 EDT
I've tried two different ones:

1. public
2. proxy
Comment 5 Dan Williams 2009-05-13 13:26:28 EDT
That would be why it doesn't work; you'll want:

ISP.CINGULAR

We don't yet know what the SIM has for the default APNs, but it may well not have any, or they may be wrong.  ISP.CINGULAR is the correct AP for AT&T data connections.
Comment 6 Dan Williams 2009-05-13 13:26:39 EDT
That would be why it doesn't work; you'll want:

ISP.CINGULAR

We don't yet know what the SIM has for the default APNs, but it may well not have any, or they may be wrong.  ISP.CINGULAR is the correct AP for AT&T data connections.
Comment 7 John Dubchak 2009-05-13 14:47:28 EDT
Changing APN from WAP.CINGULAR to ISP.CINGULAR still does not provide a connection.

Transcript of log:

May 13 13:52:23 lin002 kernel: usb 5-2: New USB device found, idVendor=1199, idProduct=6856
May 13 13:52:23 lin002 kernel: usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
May 13 13:52:23 lin002 kernel: usb 5-2: Product: AirCard
May 13 13:52:23 lin002 kernel: usb 5-2: Manufacturer: Sierra Wireless, Incorporated
May 13 13:52:23 lin002 NetworkManager: <info>  (ttyUSB2): found serial port (udev:GSM  hal:)
May 13 13:52:23 lin002 NetworkManager: <info>  (ttyUSB2): deferring until all ports found
May 13 13:52:23 lin002 NetworkManager: <info>  (ttyUSB0): found serial port (udev:  hal:GSM)
May 13 13:52:23 lin002 NetworkManager: <info>  (ttyUSB0): ignoring due to lack of probed mobile broadband capabilties
May 13 13:52:28 lin002 NetworkManager: <info>  Re-checking deferred serial ports
May 13 13:52:28 lin002 NetworkManager: <info>  (ttyUSB2): new Modem device (driver: 'sierra')
May 13 13:52:28 lin002 NetworkManager: <info>  (ttyUSB2): exported as /org/freedesktop/Hal/devices/usb_device_1199_6856_noserial_if0_serial_usb_2_1
May 13 13:52:32 lin002 NetworkManager: <info>  (ttyUSB2): device state change: 1 -> 2
May 13 13:52:32 lin002 NetworkManager: <info>  (ttyUSB2): deactivating device (reason: 2).
May 13 13:52:32 lin002 NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
May 13 13:52:32 lin002 NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
May 13 13:52:32 lin002 NetworkManager: <info>  (ttyUSB2): device state change: 2 -> 3
May 13 13:52:39 lin002 NetworkManager: <info>  Activation (ttyUSB2) starting connection 'AT&T'
May 13 13:52:39 lin002 NetworkManager: <info>  (ttyUSB2): device state change: 3 -> 4
May 13 13:52:39 lin002 NetworkManager: <info>  Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) scheduled...
May 13 13:52:39 lin002 NetworkManager: <info>  Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) started...
May 13 13:52:39 lin002 NetworkManager: <info>  Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) complete.
May 13 13:52:40 lin002 NetworkManager: <info>  (ttyUSB2): powering up...
May 13 13:52:40 lin002 NetworkManager: <info>  Registered on Home network
May 13 13:52:40 lin002 NetworkManager: <info>  Associated with network: +COPS: 0,0,"",2
May 13 13:52:40 lin002 NetworkManager: <info>  Connected, Woo!
May 13 13:52:40 lin002 NetworkManager: <info>  Activation (ttyUSB2) Stage 2 of 5 (Device Configure) scheduled...
May 13 13:52:40 lin002 NetworkManager: <info>  Activation (ttyUSB2) Stage 2 of 5 (Device Configure) starting...
May 13 13:52:40 lin002 NetworkManager: <info>  (ttyUSB2): device state change: 4 -> 5
May 13 13:52:40 lin002 NetworkManager: <info>  Starting pppd connection
May 13 13:52:40 lin002 NetworkManager: <info>  Activation (ttyUSB2) Stage 2 of 5 (Device Configure) complete.
May 13 13:52:40 lin002 pppd[4031]: Plugin /usr/lib64/pppd/2.4.4/nm-pppd-plugin.so loaded.
May 13 13:52:40 lin002 pppd[4031]: pppd 2.4.4 started by root, uid 0
May 13 13:52:40 lin002 pppd[4031]: Using interface ppp0
May 13 13:52:40 lin002 pppd[4031]: Connect: ppp0 <--> /dev/ttyUSB2
May 13 13:52:40 lin002 NetworkManager: <info>  (ttyUSB2): device state change: 5 -> 6
May 13 13:52:40 lin002 pppd[4031]: CHAP authentication succeeded
May 13 13:52:40 lin002 pppd[4031]: CHAP authentication succeeded
May 13 13:52:40 lin002 NetworkManager: <info>  (ttyUSB2): device state change: 6 -> 7
May 13 13:52:42 lin002 kernel: usb 5-2: USB disconnect, address 8
May 13 13:52:42 lin002 kernel: sierra 5-2:1.0: device disconnected
May 13 13:52:42 lin002 pppd[4031]: Modem hangup
May 13 13:52:42 lin002 NetworkManager: <info>  (ttyUSB2): device state change: 7 -> 9
May 13 13:52:42 lin002 NetworkManager: <info>  Marking connection 'AT&T' invalid.
May 13 13:52:42 lin002 NetworkManager: <info>  Activation (ttyUSB2) failed.
May 13 13:52:42 lin002 NetworkManager: <info>  (ttyUSB2): device state change: 9 -> 3
May 13 13:52:42 lin002 NetworkManager: <info>  (ttyUSB2): deactivating device (reason: 0).
May 13 13:52:42 lin002 NetworkManager: nm_system_device_flush_ip4_routes_with_iface: assertion `iface_idx >= 0' failed
May 13 13:52:42 lin002 NetworkManager: nm_system_device_flush_ip4_addresses_with_iface: assertion `iface_idx >= 0' failed
May 13 13:52:42 lin002 pppd[4031]: Connection terminated.
May 13 13:52:42 lin002 NetworkManager: <info>  (ttyUSB2): now unmanaged
May 13 13:52:42 lin002 NetworkManager: <info>  (ttyUSB2): device state change: 3 -> 1
May 13 13:52:42 lin002 NetworkManager: <info>  (ttyUSB2): cleaning up...
May 13 13:52:42 lin002 NetworkManager: <info>  (ttyUSB2): taking down device.
May 13 13:52:43 lin002 kernel: sierra ttyUSB0: Sierra USB modem converter now disconnected from ttyUSB0
May 13 13:52:43 lin002 kernel: sierra ttyUSB1: Sierra USB modem converter now disconnected from ttyUSB1
May 13 13:52:43 lin002 kernel: sierra ttyUSB2: Sierra USB modem converter now disconnected from ttyUSB2
May 13 13:52:43 lin002 pppd[4031]: Exit.
May 13 13:52:48 lin002 kernel: usb 5-2: new full speed USB device using uhci_hcd and address 9
May 13 13:52:48 lin002 kernel: usb 5-2: configuration #1 chosen from 1 choice
May 13 13:52:48 lin002 kernel: usb-storage: probe of 5-2:1.0 failed with error -5
May 13 13:52:48 lin002 kernel: usb 5-2: New USB device found, idVendor=1199, idProduct=0fff
May 13 13:52:48 lin002 kernel: usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
May 13 13:52:48 lin002 kernel: usb 5-2: Product: USB MMC Storage
May 13 13:52:48 lin002 kernel: usb 5-2: Manufacturer: Sierra Wireless
May 13 13:52:48 lin002 kernel: usb 5-2: SerialNumber: SWOC22905731
May 13 13:52:48 lin002 kernel: usb 5-2: USB disconnect, address 9
May 13 13:52:50 lin002 kernel: usb 5-2: new full speed USB device using uhci_hcd and address 10
May 13 13:52:50 lin002 kernel: usb 5-2: configuration #1 chosen from 1 choice
May 13 13:52:50 lin002 kernel: sierra 5-2:1.0: Sierra USB modem converter detected
May 13 13:52:50 lin002 kernel: usb 5-2: Sierra USB modem converter now attached to ttyUSB0
May 13 13:52:50 lin002 kernel: usb 5-2: Sierra USB modem converter now attached to ttyUSB1
May 13 13:52:50 lin002 kernel: usb 5-2: Sierra USB modem converter now attached to ttyUSB2
May 13 13:52:50 lin002 kernel: usb 5-2: New USB device found, idVendor=1199, idProduct=6856
May 13 13:52:50 lin002 kernel: usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
May 13 13:52:50 lin002 kernel: usb 5-2: Product: AirCard
May 13 13:52:50 lin002 kernel: usb 5-2: Manufacturer: Sierra Wireless, Incorporated
May 13 13:52:50 lin002 NetworkManager: <info>  (ttyUSB2): found serial port (udev:GSM  hal:)
May 13 13:52:50 lin002 NetworkManager: <info>  (ttyUSB2): deferring until all ports found
May 13 13:52:50 lin002 NetworkManager: <info>  (ttyUSB0): ignoring due to lack of mobile broadband capabilties
May 13 13:52:55 lin002 NetworkManager: <info>  Re-checking deferred serial ports
May 13 13:52:55 lin002 NetworkManager: <info>  (ttyUSB2): new Modem device (driver: 'sierra')
May 13 13:52:55 lin002 NetworkManager: <info>  (ttyUSB2): exported as /org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_0_if0_0_serial_usb_2
Comment 8 Dan Williams 2009-05-14 14:27:40 EDT
Looks like your card is having "issues":

May 13 13:52:42 lin002 kernel: usb 5-2: USB disconnect, address 8
May 13 13:52:42 lin002 kernel: sierra 5-2:1.0: device disconnected

I have a Sierra AirCard 881 (usb pid 6851) that behaved this way until I applied the latest AT&T firmware update to the card.

Manufacturer: Sierra Wireless, Inc.
Model: AC881
Revision: F1_2_3_15CAP C:/WS/FW/F1_2_3_15CAP/MSM7200R3/SRC/AMSS 2008/09/10 15:53:10

I can get this by sending "ATI" on ttyUSB2 using minicom, with my /etc/minirc.dfl file looking like this:

# Machine-generated file - use "minicom -s" to change parameters.
pu port             /dev/ttyUSB2
pu baudrate         9600
pu minit            
pu mreset           
pu mautobaud        No 
pu hasdcd           Yes
pu rtscts           No
pu xonxoff          Yes

If you 'su -' to root, put that stuff into /etc/minirc.dfl, you should be able to just run "minicom", type ATI, and get the verbose output including your firmware version.  You can then type "Ctl+A" followed by Z to access the minicom menu and quit.

What's your firmware version (from the ATI output)?
Comment 9 John Dubchak 2009-05-14 14:48:09 EDT
Ran the diagnostics as you suggested:

Manufacturer: Sierra Wireless, Inc.
Model: MC8781
Revision: F1_0_0_4CAP C:/WS/FW/F1_0_0_4CAP/MSM7200R3/SRC/AMSS 2007/09/25 18:39:23
IMEI: 356685013808371
IMEI SV: 4
FSN: D351028085711
3GPP Release 6
+GCAP: +CGSM,+DS,+ES
Comment 10 Dan Williams 2009-05-14 16:42:18 EDT
Try getting a Windows machine and installing the firmware update listed here:

http://www.wireless.att.com/answer-center/main.jsp?t=solutionTab&solutionId=KB86999

http://www.sierrawireless.com/support/show_support_and_downloads.aspx?id=4,45,1,1

Even though it shows a USB modem, what's inside that modem is actually your MC8781 module.
Comment 11 Niels Haase 2009-05-21 20:37:57 EDT
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Sergey Bostandzhyan 2009-07-19 20:11:31 EDT
Got a similar problem, but with a Sierra 875U modem, unfortunately no firmware update is available for it, not sure if it needs one.

NetworkManager will often not even show a possible connection:
Jul 20 01:28:52 469 NetworkManager: <info>  (ttyUSB5): ignoring due to lack of mobile broadband capabilties
Jul 20 01:28:56 469 NetworkManager: <info>  (ttyUSB3): found serial port (udev:  hal:GSM)
Jul 20 01:28:56 469 NetworkManager: <info>  (ttyUSB3): ignoring due to lack of probed mobile broadband capabilties
Jul 20 01:28:58 469 NetworkManager: <info>  (ttyUSB4): ignoring due to lack of mobile broadband capabilties

So I am using gnome-ppp that calls wvdial directly, the behavior in this case is:
pppd tries to connect, then nothing happens for a couple of minutes - then modem hangup, so I just keep retrying.

Jul 19 00:00:36 469 pppd[26234]: pppd 2.4.4 started by root, uid 0
Jul 19 00:00:36 469 pppd[26234]: Using interface ppp0
Jul 19 00:00:36 469 pppd[26234]: Connect: ppp0 <--> /dev/ttyUSB6
Jul 19 00:00:36 469 pppd[26234]: CHAP authentication succeeded
Jul 19 00:00:36 469 pppd[26234]: CHAP authentication succeeded
Jul 19 00:01:55 469 pppd[26234]: Modem hangup
Jul 19 00:01:55 469 pppd[26234]: Connection terminated.
Jul 19 00:01:55 469 pppd[26234]: Exit.
Jul 19 00:01:58 469 pppd[26272]: pppd 2.4.4 started by root, uid 0
Jul 19 00:01:58 469 pppd[26272]: Using interface ppp0
Jul 19 00:01:58 469 pppd[26272]: Connect: ppp0 <--> /dev/ttyUSB6
Jul 19 00:01:58 469 pppd[26272]: CHAP authentication succeeded
Jul 19 00:01:58 469 pppd[26272]: CHAP authentication succeeded
Jul 19 00:03:17 469 pppd[26272]: Modem hangup
Jul 19 00:03:17 469 pppd[26272]: Connection terminated.
Jul 19 00:03:17 469 pppd[26272]: Exit.

This can go on for 10-20 minutes until it suddenly succeeds. Sometimes it will succeed right away, theis is somewhat random. 

I was using a Sierra PCMCIA AirCard 875 card before (also Fedora but on a different laptop) and it worked 100% reliably, always connected from the first attempt. With the 875U USB modem it's quite a pain.

Currently I am running 2.6.29.6-213.fc11.x86_64, but same happened with previous kernels too.

I also tried the newer kernel from rawhide, 2.6.31-0.67.rc2.git9.fc12.x86_64, there the behavior is the same, but the log looks slightly different:

Jul 19 22:24:57 469 pppd[3076]: pppd 2.4.4 started by root, uid 0
Jul 19 22:24:57 469 pppd[3076]: Using interface ppp0
Jul 19 22:24:57 469 pppd[3076]: Connect: ppp0 <--> /dev/ttyUSB0
Jul 19 22:24:57 469 pppd[3076]: CHAP authentication succeeded
Jul 19 22:24:57 469 pppd[3076]: CHAP authentication succeeded
Jul 19 22:24:58 469 kernel: PPP Deflate Compression module registered
Jul 19 22:26:17 469 pppd[3076]: Modem hangup
Jul 19 22:26:17 469 pppd[3076]: Connection terminated.
Jul 19 22:26:17 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:26:17 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:26:17 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:26:17 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:26:17 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:26:17 469 pppd[3076]: Exit.
Jul 19 22:26:17 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:26:17 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:26:17 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:26:21 469 pppd[3153]: pppd 2.4.4 started by root, uid 0
Jul 19 22:26:21 469 pppd[3153]: Using interface ppp0
Jul 19 22:26:21 469 pppd[3153]: Connect: ppp0 <--> /dev/ttyUSB0
Jul 19 22:26:21 469 pppd[3153]: CHAP authentication succeeded
Jul 19 22:26:21 469 pppd[3153]: CHAP authentication succeeded
Jul 19 22:27:40 469 pppd[3153]: Modem hangup
Jul 19 22:27:40 469 pppd[3153]: Connection terminated.
Jul 19 22:27:40 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:27:40 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:27:40 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:27:40 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:27:40 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:27:40 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:27:40 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:27:40 469 kernel: sierra ttyUSB0: resubmit read urb failed.(-1)
Jul 19 22:27:40 469 pppd[3153]: Exit.

...and so on for each failed retry.
Comment 13 Fabio Canepa 2009-07-25 04:31:49 EDT
I've installed latest koji kernel 2.6.29.6-217.fc11.x86_64 but I still have crash (x freeze) if I remove the modem while connected to Internet.
Even more I had a crash also without remove the modem but I don't know if it's the same problem:

Jul 25 10:23:33 f11fabio kernel: BUG: unable to handle kernel NULL pointer dereference at (null)
Jul 25 10:23:33 f11fabio kernel: IP: [<(null)>] (null)
Jul 25 10:23:33 f11fabio kernel: PGD 0 
Jul 25 10:23:33 f11fabio kernel: Oops: 0010 [#1] SMP 
Jul 25 10:23:33 f11fabio kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:1d.2/usb4/idVendor
Jul 25 10:23:33 f11fabio kernel: CPU 0 
Jul 25 10:23:33 f11fabio kernel: Modules linked in: ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc ipv6 cpufreq_ondemand acpi_cpufreq freq_table fuse dm_multipath kvm_intel kvm uinput snd_hda_codec_idt snd_hda_intel arc4 snd_hda_codec ecb snd_hwdep tg3 snd_pcm iwl3945 mac80211 snd_timer option lib80211 yenta_socket dell_laptop iTCO_wdt iTCO_vendor_support snd btusb i2c_i801 cfg80211 rsrc_nonstatic usbserial dcdbas soundcore bluetooth snd_page_alloc wmi joydev ata_generic pata_acpi i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Jul 25 10:23:33 f11fabio kernel: Pid: 2275, comm: pppd Not tainted 2.6.29.6-217.fc11.x86_64 #1 Latitude D620                   
Jul 25 10:23:33 f11fabio kernel: RIP: 0010:[<0000000000000000>]  [<(null)>] (null)
Jul 25 10:23:33 f11fabio kernel: RSP: 0018:ffff880063d8dc60  EFLAGS: 00010282
Jul 25 10:23:33 f11fabio kernel: RAX: ffff88007f338280 RBX: ffff88007cdac100 RCX: ffff88007cdac100
Jul 25 10:23:33 f11fabio kernel: RDX: 00000000fffffffe RSI: ffff88007cdac100 RDI: ffff88007f338170
Jul 25 10:23:33 f11fabio kernel: RBP: ffff880063d8dca8 R08: 0000000000000000 R09: 0000000000000009
Jul 25 10:23:33 f11fabio kernel: R10: 00007fff88390660 R11: 0000000000000246 R12: ffff88007f338170
Jul 25 10:23:33 f11fabio kernel: R13: 0000000000000000 R14: 00000000fffffffe R15: ffff88007990c968
Jul 25 10:23:33 f11fabio kernel: FS:  00007f81db25f6f0(0000) GS:ffffffff817b7000(0000) knlGS:0000000000000000
Jul 25 10:23:33 f11fabio kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 25 10:23:33 f11fabio kernel: CR2: 0000000000000000 CR3: 000000006e5c2000 CR4: 00000000000026e0
Jul 25 10:23:33 f11fabio kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 25 10:23:33 f11fabio kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul 25 10:23:33 f11fabio kernel: Process pppd (pid: 2275, threadinfo ffff880063d8c000, task ffff880063f02e00)
Jul 25 10:23:33 f11fabio kernel: Stack:
Jul 25 10:23:33 f11fabio kernel: ffffffff8129f409 ffff880063d8dc88 ffff88007f338130 ffff880063d8dc88
Jul 25 10:23:33 f11fabio kernel: ffff88007cdac100 00000000fffffffe 0000000000000000 0000000000000282
Jul 25 10:23:33 f11fabio kernel: ffff88007990c968 ffff880063d8dcd8 ffffffff8129f5bd ffff88007cdac100
Jul 25 10:23:33 f11fabio kernel: Call Trace:
Jul 25 10:23:33 f11fabio kernel: [<ffffffff8129f409>] ? unlink1+0xd8/0xed
Jul 25 10:23:33 f11fabio kernel: [<ffffffff8129f5bd>] usb_hcd_unlink_urb+0x65/0x89
Jul 25 10:23:33 f11fabio kernel: [<ffffffff812a08a1>] usb_kill_urb+0x59/0xd1
Jul 25 10:23:33 f11fabio kernel: [<ffffffff813aaafb>] ? mutex_lock+0x27/0x38
Jul 25 10:23:33 f11fabio kernel: [<ffffffffa00be75c>] option_close+0xa0/0xd4 [option]
Jul 25 10:23:33 f11fabio kernel: [<ffffffffa00c6cd4>] serial_close+0x9d/0x156 [usbserial]
Jul 25 10:23:33 f11fabio kernel: [<ffffffff8122c43e>] tty_release_dev+0x198/0x49a
Jul 25 10:23:33 f11fabio kernel: [<ffffffff8122c75e>] tty_release+0x1e/0x29
Jul 25 10:23:33 f11fabio kernel: [<ffffffff810d60a0>] __fput+0xf9/0x1a0
Jul 25 10:23:33 f11fabio kernel: [<ffffffff810d6161>] fput+0x1a/0x1c
Jul 25 10:23:33 f11fabio kernel: [<ffffffff810d34a1>] filp_close+0x68/0x72
Jul 25 10:23:33 f11fabio kernel: [<ffffffff810d3557>] sys_close+0xac/0xea
Jul 25 10:23:33 f11fabio kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Jul 25 10:23:33 f11fabio kernel: Code:  Bad RIP value.
Jul 25 10:23:33 f11fabio kernel: RIP  [<(null)>] (null)
Jul 25 10:23:33 f11fabio kernel: RSP <ffff880063d8dc60>
Jul 25 10:23:33 f11fabio kernel: CR2: 0000000000000000
Jul 25 10:23:33 f11fabio kernel: ---[ end trace e930fbde93e9b719 ]---
Comment 14 Dan Williams 2009-11-11 12:21:08 EST
Sierra *detection* problems should be fixed by:

NetworkManager-0.7.1.998-1.fc10 has been pushed to the Fedora
10 testing repository.  If problems still persist, please make note of it in
this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update
here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10546  

(that's for F-10 of course, if you have F-11 you can use the same 'yum' command to update as well).

Any kernel panics or oopses you get may be fixed by Fedora 11 and the 2.6.30 kernel; I've certainly had much better luck with 2.6.30 than 2.6.29 and I know there were quite a few serial issues fixed in 2.6.30.  My testing of Sierra cards (881, 860, 5725, 8775, 580) has been very smooth on F11's 2.6.30.4 through 2.6.30.9 so far.
Comment 15 Dan Williams 2009-11-13 18:52:36 EST
So, let me know if the update I mentioned above helps detection issues at all, and also if you still have problems with 2.6.30.9-96 or later kernels from fedora updates-testing.  Thanks!
Comment 16 Bug Zapper 2009-11-18 05:01:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Sergey Bostandzhyan 2009-12-01 03:26:54 EST
I can confirm that 2.6.29 still had the problems, I did not have a chance to recheck with 2.6.30, I updated to Fedora 12.

Right now I am running Fedora 12, 2.6.31.5-127.fc12.x86_64. I do have occasional issues where NetworkManager is not able to connect, but calling gnome-ppp directly creates the connection immediately.

At least I can say, that the problems that I had before, where I was not able to connect via both, NetworkManager and gnome-ppp/wvdial, are gone.

Sierra *detection* does seem to work reliably now, since I updated to Fedora 12 the card has always been shown by NetworkManager when plugged in.

Thanks.
Comment 18 Dan Williams 2009-12-01 03:55:23 EST
Ok, if you feel like helping out a bit more on F12, would you mind doing the following?

1) service NetworkManager stop
2) killall -TERM modem-manager
3) modem-manager --debug
4) service NetworkManager start   (in another terminal)

Then try to trigger the connect problem you're observing, and get the modem-manager debug logs to me.  Ideally in different bug?  Thanks!

Closing this one for now since it's more reliable; but I'm also pretty sure I nailed the residual Sierra detection issues with NM 0.7.2.  Updated kernels (2.6.30 at least) will also help the situtation as earlier kernels (2.6.27 through 2.6.29 specifically) had USB serial stack problems.
Comment 19 Mark Goodwin 2010-12-15 01:22:49 EST
This bug seems to have returned in FC14 using a Sierra USB 308 modem.
All s/w versions of NetworkManager, modem-manager, pppd and the kernel
are stock F14. I also tried F12 and RHEL60, same issue. The "modem hangup"
messages seems to be where it all goes bad.

Here's a syslog snippet if anyone is still looking at this bug :

Dec  8 13:31:09 fletch NetworkManager[1263]: <warn> (ttyUSB2): failed to look up interface index
Dec  8 13:31:09 fletch NetworkManager[1263]: <info> (ttyUSB2): new GSM device (driver: 'sierra' ifindex: -1)
Dec  8 13:31:09 fletch NetworkManager[1263]: <info> (ttyUSB2): exported as /org/freedesktop/NetworkManager/Devices/3
Dec  8 13:31:09 fletch NetworkManager[1263]: <info> (ttyUSB2): now managed
Dec  8 13:31:09 fletch NetworkManager[1263]: <info> (ttyUSB2): device state change: 1 -> 2 (reason 2)
Dec  8 13:31:09 fletch NetworkManager[1263]: <info> (ttyUSB2): deactivating device (reason: 2).
Dec  8 13:31:09 fletch NetworkManager[1263]: <info> (ttyUSB2): device state change: 2 -> 3 (reason 0)
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) starting connection 'Bigpond Nextg Goodwinos'
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> (ttyUSB2): device state change: 3 -> 4 (reason 0)
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) scheduled...
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) started...
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> (ttyUSB2): device state change: 4 -> 6 (reason 0)
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) complete.
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) scheduled...
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) started...
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> (ttyUSB2): device state change: 6 -> 4 (reason 0)
Dec  8 13:31:24 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 1 of 5 (Device Prepare) complete.
Dec  8 13:31:24 fletch modem-manager: (ttyUSB2) opening serial device...
Dec  8 13:31:24 fletch modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (disabled -> enabling)
Dec  8 13:31:35 fletch modem-manager: (ttyUSB3) opening serial device...
Dec  8 13:31:35 fletch modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (enabling -> enabled)
Dec  8 13:31:35 fletch modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (enabled -> registered)
Dec  8 13:31:35 fletch modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (registered -> connecting)
Dec  8 13:31:35 fletch modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (connecting -> connected)
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) scheduled...
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) starting...
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> (ttyUSB2): device state change: 4 -> 5 (reason 0)
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) successful.
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) scheduled.
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 2 of 5 (Device Configure) complete.
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) started...
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> (ttyUSB2): device state change: 5 -> 7 (reason 0)
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> starting PPP connection
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> pppd started with pid 31489
Dec  8 13:31:35 fletch NetworkManager[1263]: <info> Activation (ttyUSB2) Stage 3 of 5 (IP Configure Start) complete.
Dec  8 13:31:35 fletch pppd[31489]: Plugin /usr/lib64/pppd/2.4.5/nm-pppd-plugin.so loaded.
Dec  8 13:31:35 fletch pppd[31489]: pppd 2.4.5 started by root, uid 0
Dec  8 13:31:35 fletch pppd[31489]: Using interface ppp0
Dec  8 13:31:35 fletch pppd[31489]: Connect: ppp0 <--> /dev/ttyUSB2
Dec  8 13:31:35 fletch pppd[31489]: CHAP authentication succeeded
Dec  8 13:31:35 fletch pppd[31489]: CHAP authentication succeeded
Dec  8 13:31:42 fletch pppd[31489]: Modem hangup
Dec  8 13:31:42 fletch pppd[31489]: Connection terminated.
Dec  8 13:31:42 fletch NetworkManager[1263]: <info> (ttyUSB2): device state change: 7 -> 9 (reason 5)
Dec  8 13:31:42 fletch NetworkManager[1263]: <info> Marking connection 'Bigpond Nextg Goodwinos' invalid.
Dec  8 13:31:42 fletch NetworkManager[1263]: <warn> Activation (ttyUSB2) failed.
Dec  8 13:31:42 fletch NetworkManager[1263]: <info> (ttyUSB2): device state change: 9 -> 3 (reason 0)
Dec  8 13:31:42 fletch NetworkManager[1263]: <info> (ttyUSB2): deactivating device (reason: 0).
Dec  8 13:31:42 fletch modem-manager: (ttyUSB2) closing serial device...
Dec  8 13:31:42 fletch modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (connected -> disconnecting)
Dec  8 13:31:42 fletch modem-manager: Modem /org/freedesktop/ModemManager/Modems/1: state changed (disconnecting -> connected)
Dec  8 13:31:42 fletch avahi-daemon[1281]: Withdrawing workstation service for ppp0.
Dec  8 13:31:42 fletch NetworkManager[1263]: <info> disconnect failed: (32) The serial port is not open.
Dec  8 13:31:43 fletch pppd[31489]: Exit.
Dec  8 13:31:43 fletch dbus-daemon: [system] Rejected send message, 1 matched rules; type="error", sender=":1.1" (uid=0 pid=1263 comm="NetworkManager) interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply=0 destination=":1.200" (uid=0 pid=31489 comm="/usr/sbin/pppd))

Note You need to log in before you can comment on or make changes to this bug.